Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header. Note: A payment method is required to use the API.

Body

application/json

Request body for the Search Agent API.

messages
object[]
required

A list of messages comprising the conversation so far. User and assistant messages in chronological order for multi-turn conversations.

previous_task_id
string

The task_id of a previous task, to continue its conversation.

tier
enum<string>
default:auto

The task tier. low, medium, and high increase search depth, cost, and time in that order. auto is billed by actual usage.

Available options:
auto,
low,
medium,
high
response_format
object

Controls the output format.

stream
boolean
default:false

Whether to enable streaming output. When true, returns chunks incrementally with types: status, step, content, finish, and usage.

Response

Successful Search Agent response. When stream=false, the task starts in queued. When stream=true, returns a stream of chunks.

A non-streaming Search Agent response. Returned when stream=false.

request_id
string
required

Unique identifier for the request.

task_id
string
required

Unique task id, used to retrieve the result.

tier
enum<string>
required

The tier from the request.

Available options:
auto,
low,
medium,
high
status
enum<string>
required

Task state.

Available options:
queued
created_at
integer
required

Unix timestamp in seconds when the task was created.